#!/tools/bin/sh

echo "=== busybox ($1)"

cd /tmp &&
([ -d busybox* ] || tar xvjf /sources/system/busybox*.tar.bz2) &&
cd busybox* &&
make clean &&
( cat /sources/configs/busybox-config-"$1" > .config 2> /dev/null ||
  make allnoconfig &&
  cat /sources/configs/busybox-miniconfig-"$1" >> .config) &&
yes "" | make oldconfig &&
make &&
mv busybox ../"$1"-busybox &&
cd ..

if [ $? -ne 0 ]; then exit 1; fi
